/* REXX: Select on Age */


/*  Function     : Demonstration agent whose task is to determine
                   whether the current source record contains an
                   age value in the specified range in the two byte
                   area starting in byte 16. Uses the function GetData()
                   to return the entire record image.
    Created      : February 10, 1996
    Modifications:
*/
  
/* Places value of list prospect's age into
   agent global variable pool using Store()
   function. Retrieves value using Fetch() function.
   Neither function is necessary. Just used to
   illustrate use of Store() and Fetch() functions.
*/
    CALL Store "Age",,
               SUBSTR(GetData("Record"),13,2)
    SELECT
        WHEN Fetch("Age") > "21" &,
             SUBSTR(GetData("Record"),13,2) < "35"
            THEN
                RETURN 1
        OTHERWISE
            RETURN 0
    END
